Skip to main content
PUT
Update cash rounding

Authorizations

Authorization
string
header
required

An API token from Sign in, sent as Authorization: Bearer <token>. Tokens last 30 days.

Path Parameters

id
integer
required

The cash rounding ID

Example:

1

Body

application/json
name
string

Cash rounding name. Must not be greater than 255 characters.

Example:

"0.05 Rounding"

strategy
enum<string>

Rounding strategy.

Available options:
biggest_tax,
add_invoice_line
Example:

"biggest_tax"

rounding_method
enum<string>

Rounding method.

Available options:
UP,
DOWN,
HALF-UP
Example:

"UP"

rounding
number

Rounding precision. Must be at least 0.

Example:

0.05

profit_account_id
integer | null

Profit account ID. The id of an existing record in the accounts_accounts table.

Example:

1

loss_account_id
integer | null

Loss account ID. The id of an existing record in the accounts_accounts table.

Example:

2

Response

Success